Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class SupportAndRepairDecisionType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.SupportAndRepairDecisionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class SupportAndRepairDecisionType extends Object implements Serializable
Generiek type voor het melden van de beslissing over het budget voor onderhoud en herstel.

Java class for SupportAndRepairDecisionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairDecisionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SupportAndRepairID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}SupportAndRepairIDType"/>
             <element name="SupportAndRepairCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}SupportAndRepairStatusType"/>
             <element name="Motivation" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MotivationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupportAndRepairDecisionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  Bedrag van het budget onderhoud en herstel.
  `String`
  `getMotivation()`
  Veld met de motivatie van weigering of motivatie waarom een ander budget dan aangevraagd werd goedgekeurd.
  `SupportAndRepairStatusType`
  `getStatus()`
  Status van het budget onderhoud en herstel.
  `String`
  `getSupportAndRepairCode()`
  Prestatiecode van het budget onderhoud en herstel.
  `String`
  `getSupportAndRepairID()`
  Unieke ID van het budget onderhoud en herstel.
  `void`
  `setAmount(BigDecimal value)`
  Sets the value of the amount property.
  `void`
  `setMotivation(String value)`
  Sets the value of the motivation property.
  `void`
  `setStatus(SupportAndRepairStatusType value)`
  Sets the value of the status property.
  `void`
  `setSupportAndRepairCode(String value)`
  Sets the value of the supportAndRepairCode property.
  `void`
  `setSupportAndRepairID(String value)`
  Sets the value of the supportAndRepairID property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SupportAndRepairDecisionType

    public SupportAndRepairDecisionType()

- ## Method Details

  - ### getSupportAndRepairID

    public String getSupportAndRepairID()
    Unieke ID van het budget onderhoud en herstel.
    Returns:
      possible object is `String`

  - ### setSupportAndRepairID

    public void setSupportAndRepairID(String value)
    Sets the value of the supportAndRepairID property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSupportAndRepairID()`

  - ### getSupportAndRepairCode

    public String getSupportAndRepairCode()
    Prestatiecode van het budget onderhoud en herstel.
    Returns:
      possible object is `String`

  - ### setSupportAndRepairCode

    public void setSupportAndRepairCode(String value)
    Sets the value of the supportAndRepairCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSupportAndRepairCode()`

  - ### getAmount

    public BigDecimal getAmount()
    Bedrag van het budget onderhoud en herstel. Dit element zal niet aanwezig zijn indien geweigerd.
    Returns:
      possible object is `BigDecimal`

  - ### setAmount

    public void setAmount(BigDecimal value)
    Sets the value of the amount property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAmount()`

  - ### getStatus

    public SupportAndRepairStatusType getStatus()
    Status van het budget onderhoud en herstel. Deze status is afhankelijk van de status van het mobiliteitshulpmiddel. Als het mobiliteitshulpmiddel aanvaard werd, is het budget ook aanvaard. Als het mobiliteitshulpmiddel geweigerd werd, is het budget ook geweigerd.
    Returns:
      possible object is `SupportAndRepairStatusType`

  - ### setStatus

    public void setStatus(SupportAndRepairStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `SupportAndRepairStatusType`
    See Also:
      - `getStatus()`

  - ### getMotivation

    public String getMotivation()
    Veld met de motivatie van weigering of motivatie waarom een ander budget dan aangevraagd werd goedgekeurd.
    Returns:
      possible object is `String`

  - ### setMotivation

    public void setMotivation(String value)
    Sets the value of the motivation property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMotivation()`